JdbcResourceRegistryImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal
Class JdbcResourceRegistryImpl

    java.lang.Object
      org.hibernate.engine.jdbc.internal.JdbcResourceRegistryImpl

All Implemented Interfaces:
  Serializable, JdbcResourceRegistry

    public class JdbcResourceRegistryImpl

extends Object
implements JdbcResourceRegistry

Standard implementation of the `JdbcResourceRegistry` contract

See Also:
  Serialized Form

Constructor Summary
`JdbcResourceRegistryImpl(SqlExceptionHelper exceptionHelper)`

Method Summary
`void` | `cancelLastQuery()` Cancel the last query registered via `JdbcResourceRegistry.registerLastQuery(java.sql.Statement)`
`void` | `close()` Close this registry.
`protected void` | `close(ResultSet resultSet)`
`protected void` | `close(Statement statement)`
`protected void` | `closeAll(Set<ResultSet> resultSets)`
`boolean` | `hasRegisteredResources()` Does this registry currently have any registered resources?
`void` | `register(ResultSet resultSet)` Register a JDBC result set.
`void` | `register(Statement statement)` Register a JDBC statement.
`void` | `registerLastQuery(Statement statement)` Register a query statement as being able to be cancelled.
`void` | `release(ResultSet resultSet)` Release a previously registered result set.
`void` | `release(Statement statement)` Release a previously registered statement.
`void` | `releaseResources()` Release all registered resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcResourceRegistryImpl

    public JdbcResourceRegistryImpl(SqlExceptionHelper exceptionHelper)

Method Detail

### register

    public void register(Statement statement)

  Description copied from interface: `JdbcResourceRegistry`
  Register a JDBC statement.

  Specified by:
    `register` in interface `JdbcResourceRegistry`
  Parameters:
    `statement` - The statement to register.

### registerLastQuery

    public void registerLastQuery(Statement statement)

  Description copied from interface: `JdbcResourceRegistry`
  Register a query statement as being able to be cancelled.

  Specified by:
    `registerLastQuery` in interface `JdbcResourceRegistry`
  Parameters:
    `statement` - The cancel-able query statement.

### cancelLastQuery

    public void cancelLastQuery()

  Description copied from interface: `JdbcResourceRegistry`
  Cancel the last query registered via `JdbcResourceRegistry.registerLastQuery(java.sql.Statement)`

  Specified by:
    `cancelLastQuery` in interface `JdbcResourceRegistry`

### release

    public void release(Statement statement)

  Description copied from interface: `JdbcResourceRegistry`
  Release a previously registered statement.

  Specified by:
    `release` in interface `JdbcResourceRegistry`
  Parameters:
    `statement` - The statement to release.

### register

    public void register(ResultSet resultSet)

  Description copied from interface: `JdbcResourceRegistry`
  Register a JDBC result set.

  Specified by:
    `register` in interface `JdbcResourceRegistry`
  Parameters:
    `resultSet` - The result set to register.

### release

    public void release(ResultSet resultSet)

  Description copied from interface: `JdbcResourceRegistry`
  Release a previously registered result set.

  Specified by:
    `release` in interface `JdbcResourceRegistry`
  Parameters:
    `resultSet` - The result set to release.

### hasRegisteredResources

    public boolean hasRegisteredResources()

  Description copied from interface: `JdbcResourceRegistry`
  Does this registry currently have any registered resources?

  Specified by:
    `hasRegisteredResources` in interface `JdbcResourceRegistry`
  Returns:
    True if the registry does have registered resources; false otherwise.

### releaseResources

    public void releaseResources()

  Description copied from interface: `JdbcResourceRegistry`
  Release all registered resources.

  Specified by:
    `releaseResources` in interface `JdbcResourceRegistry`

### closeAll

    protected void closeAll(Set<ResultSet> resultSets)

### close

    public void close()

  Description copied from interface: `JdbcResourceRegistry`
  Close this registry. Also `releases` any registered resources.

  After execution, the registry is considered unusable.

  Specified by:
    `close` in interface `JdbcResourceRegistry`

### close

    protected void close(Statement statement)

### close

    protected void close(ResultSet resultSet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.